/********************************************************************
//        NAME- ErrorCodeController
// DESCRIPTION- controls all the functions of the error code panel
//       NOTES- Inherits from DataRetriever
********************************************************************/

/********************************************************************
// ErrorCodeController() : constructor
// Instantiates the ErrorCodeController object
********************************************************************/
function ErrorLogController()
{
  this.saveCommand   = 'commands/saveErrorLog.php';
  this.viewURL = 'views/errorLog.php';

  //this.frame = getElement('errorLogFrame');
  this.viewController = new ViewController('errorLogFrame');
  
  this.clearRequest = new ServerRequest('commands/clearErrorLog.php');
  
  this.shadowBox = this.viewController.shadowBox;
  
  this.init();
}

ErrorLogController.prototype.init = function init()
{
  var clearButton = getElement('clearErrorLog');
  clearButton.controller = this;
  clearButton.action = function ()
  {
    this.controller.promptToClearLog(translate('MSG_ERROR_LOG'), this.controller);
  }

  var saveButton = getElement('saveErrorLog');
  saveButton.controller = this;
  saveButton.action = function ()
  {
    Frontend.saveDialog.openDialog((translate('MSG_SAVE') + ' ' + translate('MSG_ERROR_LOG')), 'errorlog', this.controller);
  }
  
  this.clearRequest.controller = this;
  this.clearRequest.callback = function ()
  {
    this.controller.refreshFrame();
  }
}

ErrorLogController.prototype.refreshFrame = function refreshFrame()
{
  this.viewController.setURL(this.viewURL);
}

ErrorLogController.prototype.promptToClearLog = function promptToClearLog(title)
{
  var controller = this;
  var dialog = Frontend.dialog;
  dialog.toggleBadge(false);
  dialog.setHeader(title);
  dialog.toggleHeader(true);
  dialog.setContent(translate('MSG_CLEAR_LOG_CONFIRMATION'));
  dialog.toggleContent(true);
  dialog.clearButtons();
  dialog.addButton(translate('MSG_OK'), null, function ()
  {
    dialog.hide();
    controller.clearLog();
  });
  dialog.addButton(translate('MSG_CANCEL'), null, function ()
  {
    dialog.hide();
  });
  dialog.toggleButtons(true);
  dialog.show();
}

ErrorLogController.prototype.clearLog = function clearLog()
{
  this.clearRequest.send();
}

ErrorLogController.prototype.appendSaveInfo = function appendSaveInfo(request)
{
  return false;
}